/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* cursor.h -- manage cursor operations */

#ifndef __cursor_h__
#define __cursor_h__

#include "world.h"

/* init the cursor module */
int init_cursor(World *world);

/* free the cursor module */
void free_cursor(World *world);

/* Get the x-position of the cursor */
int get_cursor_x(void);

/* Get the y-position of the cursor */
int get_cursor_y(void);

/* draw the cursor at the given position */
void draw_cursor(World *world);

/* manage the mouse movements */
void manage_mouse_cursor(World *world, int x, int y);

#endif /* __cursor_h__ */
