/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* plasma.c
   Code for drawing a nice plasma */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "2d.h"
#include "glut_interface.h"
#include "text.h"
#include "tools.h"


/* bounds for plasma precision */
#define PLASMA_MAX 7
#define PLASMA_MIN 0


/* init the plasma system */
void init_plasma(World *world);

/* regenerate plasma textures */
void regen_plasma(World *world);

/* free all plasma relative stuff */
void free_plasma(World *world);

/* draw a plasma (suppose that 2D mode is anabled) */
void draw_plasma(World *world);
