/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __smoke_h__
#define __smoke_h__

typedef struct _Smoke Smoke;

#include "round.h"

/* The smoke after an explosion */
struct _Smoke
{
  World *world;
  Game *game;
  Round *round;

  float pos[3];
  float age;
  float radius, speed;
  float angle;

  Smoke *last, *next;
};

void add_smoke(Round *round, float *, float, float);
void remove_smoke(Smoke *);
void remove_smokes(Round *round);
void update_smokes(Round *round, float);
void update_smoke(Smoke *, float);
void draw_smokes(Round *round);
void draw_smoke(Smoke *);
int compute_smoke_color(GLfloat *color, Smoke *smoke);
void draw_rsmoke(void);

/* Remove all smoke from a round */
int clear_smoke(Round *round);

#endif /* __smoke_h__ */
