/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* contains tools for debug and text output (in stdout) */

#ifndef __text_h_
#define __text_h_

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

/* NATOW printf. same than printf but with 'quiet' management */
void Nprintf(char *, ...);

/* Same as above, but without the NATOW: header */
void Nprintf_simple(char *format, ...);

/* NATOW fprintf(stderr...). same than fprintf but with 'quiet' management */
void Neprintf(char*, ...);

/* set the quiet mode */
void set_quiet_mode(int mode);

/* set debug level */
void set_debug_level(int level);

#endif /* __text_h_ */
