/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* management for video configuration screen */

#ifndef __videoc_h__
#define __videoc_h__

#include "world.h"

/* Set everything to low detail */
void set_low_detail(World *world);

/* Set everything to hi detail */
void set_hi_detail(World *world);

/* read the video-config file */
int read_videoc(World *world);

/* Write the video-config file */
int write_videoc(World *world);

/* Increase the texture render quality */
void increase_proj(World *world);

/* Decrease the texture render quality */
void decrease_proj(World *world);

/* Decrease the screen resolution */
void increase_resolution(World *world);

/* Decrease the screen resolution */
void decrease_resolution(World *world);

/* Increase the level of detail on the map */
void increase_LOD(World *world);

/* Increase the level of detail on the map */
void decrease_LOD(World *world);

/* manage the video-config menu */
void manage_video_config_input(World *world, int key);

/* Draw the video-config screen */
void draw_videoc(World *world, int in_selected);

#endif /* __videoc_h__ */
